### Enumeration

# GObject BindingFlags

since: 2.26

#### Declaration

    flags GObject.BindingFlags

#### Description

Flags to be passed to `g_object_bind_property()` or g_object_bind_property_full().

This enumeration can be extended at later date.

Available since: 2.26

#### Members

`G_BINDING_DEFAULT`

  The default binding; if the source property changes, the target property is updated with its value.

  - Value: `0`
  - Available since: 2.26
`G_BINDING_BIDIRECTIONAL`

  Bidirectional binding; if either the property of the source or the property of the target changes, the other is updated.

  - Value: `1`
  - Available since: 2.26
`G_BINDING_SYNC_CREATE`

  Synchronize the values of the source and target properties when creating the binding; the direction of the synchronization is always from the source to the target.

  - Value: `2`
  - Available since: 2.26
`G_BINDING_INVERT_BOOLEAN`

  If the two properties being bound are booleans, setting one to `TRUE` will result in the other being set to `FALSE` and vice versa. This flag will only work for boolean properties, and cannot be used when passing custom transformation functions to g_object_bind_property_full().

  - Value: `4`
  - Available since: 2.26